#!/etc/opt/openit/perl

my $name = shift @ARGV;

open( CONFIG, "</etc/opt/openit/openit.cfg" )
  or die "Could not open openit.cfg: $!\n";
my @lines = <CONFIG>;
close( CONFIG );

my( $uid, $gid );
foreach my $line( @lines ) {
    if( $line =~ m/^\s*SERVER_UID_NAME\s+(\S+)/ ) {
	$uid = $1;
    }
    if( $line =~ m/^\s*SERVER_GID_NAME\s+(\S+)/ ) {
	$gid = $1;
    }
}
my $die = 0;
if( ! defined $uid ) {
    print "Could not find server UID.\n";
    $die = 1;
}
if( ! defined $gid ) {
    print "Could not find server GID.\n";
    $die = 1;
}
if( $die ) {
    die;
}
my $cmd = "chown $uid:$gid $name";
print "Doing '$cmd'\n";
if( system( $cmd ) ) {
    die "Failed to chown!\n";
}
